data.matrix {base} | R Documentation

## Data Frame to Numeric Matrix

### Description

Return the matrix obtained by converting all the variables in a data frame to numeric mode and then binding them together as the columns of a matrix. Factors and ordered factors are replaced by their codes.

### Usage

    data.matrix(frame)

### Arguments

`frame` | a data frame whose components are either logical vectors, factors or numeric vectors.

### See Also

`as.matrix`, `codes`, `data.frame`, `matrix`.

[Package Contents]